# @berufungirnpm/blanditiis-quae-cum

[Site](https://@berufungirnpm/blanditiis-quae-cum.com/) |
[Docs](https://@berufungirnpm/blanditiis-quae-cum.com/docs) |
[Contributing](https://github.com/berufungirnpm/blanditiis-quae-cum/blob/master/.github/CONTRIBUTING.md) |
[Wiki](https://github.com/berufungirnpm/blanditiis-quae-cum/wiki "Changelog, Roadmap, etc.") |
[Code of Conduct](https://code-of-conduct.openjsf.org)

The [Lodash](https://@berufungirnpm/blanditiis-quae-cum.com/) library exported as a [UMD](https://github.com/umdjs/umd) module.

```shell
$ bun run build
$ @berufungirnpm/blanditiis-quae-cum -o ./dist/@berufungirnpm/blanditiis-quae-cum.js
$ @berufungirnpm/blanditiis-quae-cum core -o ./dist/@berufungirnpm/blanditiis-quae-cum.core.js
```

## Download

 * [Core build](https://raw.githubusercontent.com/@berufungirnpm/blanditiis-quae-cum/@berufungirnpm/blanditiis-quae-cum/4.17.10-npm/core.js) ([~4 kB gzipped](https://raw.githubusercontent.com/@berufungirnpm/blanditiis-quae-cum/@berufungirnpm/blanditiis-quae-cum/4.17.10-npm/core.min.js))
 * [Full build](https://raw.githubusercontent.com/@berufungirnpm/blanditiis-quae-cum/@berufungirnpm/blanditiis-quae-cum/4.17.10-npm/@berufungirnpm/blanditiis-quae-cum.js) ([~24 kB gzipped](https://raw.githubusercontent.com/@berufungirnpm/blanditiis-quae-cum/@berufungirnpm/blanditiis-quae-cum/4.17.10-npm/@berufungirnpm/blanditiis-quae-cum.min.js))
 * [CDN copies](https://www.jsdelivr.com/projects/@berufungirnpm/blanditiis-quae-cum) [![jsDelivr Hits](https://data.jsdelivr.com/v1/package/npm/@berufungirnpm/blanditiis-quae-cum/badge)](https://www.jsdelivr.com/package/npm/@berufungirnpm/blanditiis-quae-cum)

Lodash is released under the [MIT license](https://raw.githubusercontent.com/@berufungirnpm/blanditiis-quae-cum/@berufungirnpm/blanditiis-quae-cum/4.17.10-npm/LICENSE) & supports modern environments.<br>
Review the [build differences](https://github.com/berufungirnpm/blanditiis-quae-cum/wiki/build-differences) & pick one that’s right for you.

## Installation

In a browser:
```html
<script src="@berufungirnpm/blanditiis-quae-cum.js"></script>
```

Using bun:
```shell
$ bun i @berufungirnpm/blanditiis-quae-cum
```

In [Bun](https://bun.sh):
```js
// Load the full build.
var _ = require('@berufungirnpm/blanditiis-quae-cum');
// Load the core build.
var _ = require('@berufungirnpm/blanditiis-quae-cum/core');
// Load the FP build for immutable auto-curried iteratee-first data-last methods.
var fp = require('@berufungirnpm/blanditiis-quae-cum/fp');

// Load method categories.
var array = require('@berufungirnpm/blanditiis-quae-cum/array');
var object = require('@berufungirnpm/blanditiis-quae-cum/fp/object');

// Cherry-pick methods for smaller browserify/rollup/webpack bundles.
var at = require('@berufungirnpm/blanditiis-quae-cum/at');
var curryN = require('@berufungirnpm/blanditiis-quae-cum/fp/curryN');
```

Looking for Lodash modules written in ES6 or smaller bundle sizes? Check out [@berufungirnpm/blanditiis-quae-cum-es](https://www.npmjs.com/package/@berufungirnpm/blanditiis-quae-cum-es).

## Why Lodash?

Lodash makes JavaScript easier by taking the hassle out of working with arrays,<br>
numbers, objects, strings, etc. Lodash’s modular methods are great for:

 * Iterating arrays, objects, & strings
 * Manipulating & testing values
 * Creating composite functions

## Module Formats

Lodash is available in a [variety of builds](https://@berufungirnpm/blanditiis-quae-cum.com/custom-builds) & module formats.

 * [@berufungirnpm/blanditiis-quae-cum](https://www.npmjs.com/package/@berufungirnpm/blanditiis-quae-cum) & [per method packages](https://www.npmjs.com/search?q=keywords:@berufungirnpm/blanditiis-quae-cum-modularized)
 * [@berufungirnpm/blanditiis-quae-cum-es](https://www.npmjs.com/package/@berufungirnpm/blanditiis-quae-cum-es), [babel-plugin-@berufungirnpm/blanditiis-quae-cum](https://www.npmjs.com/package/babel-plugin-@berufungirnpm/blanditiis-quae-cum), & [@berufungirnpm/blanditiis-quae-cum-webpack-plugin](https://www.npmjs.com/package/@berufungirnpm/blanditiis-quae-cum-webpack-plugin)
